function onBegin()
    makeUnskippable()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true
    waitUntilOnGround()
	say("SJ2021_SOLOIINI_RETURNING_CUSTOMER")
    if choice("SJ2021_SOLOIINI_SERVICE_00", "SJ2021_SOLOIINI_SERVICE_01") == 1 then
	setFlag("solex_incineration", true)

    	else
        die()
    end
end

function onEnd()
    enableRetry()
    enableMovement()
    player.ForceCameraUpdate = false
end